singularity(1)

NAME

singularity-instance-list - List all running and named Singularity instances

SYNOPSIS

singularity instance list [list options...] []

DESCRIPTION

The instance list command allows you to view the Singularity container
  instances that are currently running in the background.

OPTIONS

-h, --help[=false]
    help for list

-j, --json[=false]
    print structured json instead of list

-l, --logs[=false]
    display location of stdout and sterr log files for instances

-u, --user=""
    if running as root, list instances from ""

EXAMPLE

      $ singularity instance list
      INSTANCE NAME      PID       IMAGE
      test               11963     /home/mibauer/singularity/sinstance/test.sif
      test2              11964     /home/mibauer/singularity/sinstance/test.sif
      lolcow             11965     /home/mibauer/singularity/sinstance/lolcow.sif

      $ singularity instance list 'test*'
      INSTANCE NAME      PID       IMAGE
      test               11963     /home/mibauer/singularity/sinstance/test.sif
      test2              11964     /home/mibauer/singularity/sinstance/test.sif

      $ sudo singularity instance list -u mibauer
      INSTANCE NAME      PID       IMAGE
      test               11963     /home/mibauer/singularity/sinstance/test.sif
      test2              16219     /home/mibauer/singularity/sinstance/test.sif

SEE ALSO

singularity-instance(1)

HISTORY

21-Jul-2025 Auto generated by spf13/cobra